libqxp::QXPTextParser Class Reference

`#include <QXPTextParser.h>`

## Public Member Functions

| QXPTextParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, const std::shared_ptr< QXPHeader > &header)
std::shared_ptr< Text > | parseText (unsigned index, const std::vector< std::shared_ptr< CharFormat > > &charFormats, const std::vector< std::shared_ptr< ParagraphFormat > > &paragraphFormats)

## Private Member Functions

| QXPTextParser (const QXPTextParser &other)=delete
QXPTextParser & | operator= (const QXPTextParser &other)=delete

## Private Attributes

const std::shared_ptr< QXPHeader > | m_header
const bool | be
const char * | m_encoding
QXPBlockParser | m_blockParser

## Constructor & Destructor Documentation

## QXPTextParser() [1/2]

libqxp::QXPTextParser::QXPTextParser | ( | const QXPTextParser & | other | ) |

private delete

Referenced by operator=(), and QXPTextParser().

## QXPTextParser() [2/2]

libqxp::QXPTextParser::QXPTextParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | const std::shared_ptr< QXPHeader > & | header )

## Member Function Documentation

## operator=()

QXPTextParser & libqxp::QXPTextParser::operator= | ( | const QXPTextParser & | other | ) |

private delete

## parseText()

std::shared_ptr< Text > libqxp::QXPTextParser::parseText | ( | unsigned | index,
|  | const std::vector< std::shared_ptr< CharFormat > > & | charFormats,
|  | const std::vector< std::shared_ptr< ParagraphFormat > > & | paragraphFormats )

## Member Data Documentation

## be

const bool libqxp::QXPTextParser::be

private

Referenced by parseText(), and QXPTextParser().

## m_blockParser

QXPBlockParser libqxp::QXPTextParser::m_blockParser

private

Referenced by parseText(), and QXPTextParser().

## m_encoding

const char* libqxp::QXPTextParser::m_encoding

private

Referenced by parseText(), and QXPTextParser().

## m_header

const std::shared_ptr<QXPHeader> libqxp::QXPTextParser::m_header

private

Referenced by parseText(), and QXPTextParser().

The documentation for this class was generated from the following files:

- QXPTextParser.h
- QXPTextParser.cpp